Loading...
Searching...
No Matches
mdds::trie::detail::packed_iterator_base< TrieT > Class Template Reference

## Public Types

using | value_type = mdds::detail::ref_pair<std::add_const_t<key_type>, std::add_const_t<trie_value_type>>
using | pointer = value_type*
using | reference = value_type&
using | difference_type = std::ptrdiff_t
using | iterator_category = std::bidirectional_iterator_tag

## Public Member Functions

| packed_iterator_base (const value_store_type *value_store, node_stack_type &&node_stack, key_type &&buf, pack_value_type pos)
| packed_iterator_base (const value_store_type *value_store, node_stack_type &&node_stack, key_type &&buf)
bool | operator== (const packed_iterator_base &other) const
bool | operator!= (const packed_iterator_base &other) const
value_type | operator* ()
value_type | operator-> ()
packed_iterator_base & | operator++ ()
packed_iterator_base | operator++ (int)
packed_iterator_base & | operator-- ()
packed_iterator_base | operator-- (int)